Name:           mirall
Version:        1.0.5
Release:        1%{?dist}
License:        GPLv2+
Summary:        The ownCloud Client
Url:            http://www.gitorious.org/owncloud/mirall/
Source0:        http://download.owncloud.com/download/mirall-%{version}.tar.bz2
Source1:        owncloud-client.desktop
Source2:        mirall.desktop

Provides:       owncloud-client

BuildRequires:  cmake
BuildRequires:  csync-devel
BuildRequires:  iniparser-devel
BuildRequires:  qt4-devel 
BuildRequires:  inetd desktop-file-utils
Requires:       iproute
Requires:       csync-plugin-owncloud >= 0.50.8
Requires:       oxygen-icon-theme

%description
Mirall owncloud-client enables you to connect to your private
ownCloud Server. With it you can create folders in your home
directory, and keep the contents of those folders synced with your
ownCloud server. Simply copy a file into the directory and the 
ownCloud Client does the rest.

%prep
%setup -q %{name}-%{version}

%build
mkdir build
pushd build
%cmake .. -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
make %{?_smp_mflags}
popd

%install
pushd build
make install DESTDIR=%{buildroot}
popd

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1} 

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE2}

mkdir -p %{buildroot}%{_sysconfdir}/mirall
mv %{buildroot}%{_sysconfdir}/exclude.lst %{buildroot}%{_sysconfdir}/mirall/exlude.lst

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md COPYING
%{_bindir}/mirall
%{_bindir}/owncloud
%{_libdir}/libowncloudsync.so
%{_libdir}/libmirallsync.so
%{_datadir}/applications/owncloud-client.desktop
%{_datadir}/applications/mirall.desktop
%{_datadir}/icons/hicolor/48x48/apps/owncloud.png
%{_datadir}/icons/hicolor/48x48/apps/mirall.png
%{_datadir}/mirall
%{_sysconfdir}/mirall/exlude.lst

%changelog
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.5-1
- Update to 1.0.5
- drop defattr
- remove not-needed dependencies
- changelog cleanup
- moved exclude.lst to /etc/mirall/
- fixed source01 and source 02 (icons) 
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-2
- added mirall icon and smp flags plus code cleanup
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-1
- Initial try
